import glob, os

def main():
	xmlFile = open("particles.xml", 'w')
	xmlFile.write('<?xml version="1.0" encoding="utf-8"?>\n<Particles xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">\n')
	fileList = glob.glob("D:\Work\Projects\FarmingtonSFML\Code\Build\effects\*.ptc")
	for fileName in fileList:
		xmlFile.write('\t<Particle filename="effects/%s"/>\n'%os.path.basename(fileName))
	xmlFile.write('</Particles>')

if __name__ == '__main__':
	main()